1. Важное и срочное обновление IPB 3.4.5 - https://nulled.cc/threads/243375/

[Другое] Большой FAQ по IPB 3.x.x

Тема в разделе "IPB", создана пользователем Maybe, 4 окт 2009.

Модераторы: Maybe
  1. Maybe

    Maybe

    Moderator
    Регистр.:
    7 июл 2008
    Сообщения:
    1.151
    Симпатии:
    1.194
    Привет всем поклонникам Invision Power Board ;)
    Решил сегодня сесть и сделать Большое FAQ по IPB 3.x.x
    Чтобы новичкам было легче, и дабы задавали меньше одинаковых вопросов в темах. ФАК только по 3 версии, 2 мы не затрагиваем.
    Со временем, FAQ будет изменяться и дополняться.
    Начнем..
    У меня сейчас работает форум с версией 2.x.x, стоит ли мне обновляться до 3 версии?
    Смотря что Вам нужно от обновления.
    Действительно, 3 версия стала куда функциональнее, и делается со взором в будущее, однако она куда требовательнее, и сильнее нагружает сервер/хостинг.
    + Ваши скины к третей версии от второй, - не подойдут, то есть вам нужно будет искать этот скин под тройку, а если он авторский - переделывать, либо платить за переделку. Еще стоит упомянуть, что изменения в скинах в версиях 3.0.0 - 3.0.1 - 3.0.2 - 3.0.3(на момент написания Фака последняя версия) значительные, и спокойно(без проблем и глюков), скажем, скин от 3.0.0 на 3.0.2 не встанет. Мы все ждем, когда различия перестанут прыгать, чтобы легче было жить =)
    В общем, ставить форум заново, куда легче, чем его обновлять. Но если вам трудности не страшны - обновляйтесь. Не пожалеете.
    Хотя если у вас какой-то махонький провайдерский форумок, - обновление это лишняя трата времени и сил.

    Скажите пожалуйста, какие требования к серверу(хостингу) для работы форума?
    Как уже упоминалось выше, 3 ветка IPB очень требовательна.
    Для корректной работы форума, необходимо:
    PHP версии начиная от 5.1.х, еще лучше если версия 5.2.х и выше.
    Были замечены проблемы с 5.3.х, однако, как написали разработчики, проблемы уже решены.
    Также, необходимо, чтобы были включены следующие расширения PHP:
    (эти модули являются НЕОБХОДИМЫМИ для работы форума)
    Будет не лишним, если вы включите также:
    Дальше, memory_limit должен быть минимум 32 мегабайта, идеальное же значение равно 128 мегабайтам и выше.
    Требования к MySQL: версия начиная от 5.х, хотя официально от 4.1, и на сервере должен быть отключен режим STRICT_TRANS_TABLES
    Еще в папке Tools есть файлик check_requirements.php, им вы можете проверить совместимость сервера и скрипта, но положиться на него полностью нельзя, проверяет он не все! Смотрите лучше руками по списку, написанному выше!!!

    Я не устанавливаю форум с 0. Я хочу обновиться с 2.x.x версии.
    Как мне быть, и что мне делать?

    Всю информацию по поводу обновления, вы можете прочитать здесь:
    http://wiki.iblink.ru/ipb3/upgrade

    Я устанавливаю форум с 0, что мне нужно знать?
    Самое главное это то, что форум теперь работает только с кодировкой UTF-8.
    То есть, вы заходите в тот же phpmyadmin, и создаете базу с кодировкой utf8_general_ci.

    А какие права на папки должны стоять? (chmod)
    Должна стоять возможность записи в эти папки:
    и на файл conf_global.php, перед установкой 666, а после - 644

    Поставил нужные права, но все равно возникают какие-то проблемы связанные с ними!
    Тогда сделайте так:
    /admin/ 0755
    /cache/ 0777
    /cache/lang_cache/ 0777
    /cache/lang_cache/1/ 0777
    /cache/skin_cache/ 0777
    /cache/tmp/ 0777
    /converge_local/ 0755
    /interface/ 0755
    /ips_kernel/ 0755
    /lofiversion/ 0755
    /public/style_images/ 0777
    /public/style_css/ 0777
    /uploads 0777

    Прочитал ФАК по обновлению, но так и не понял, как перекодировать базу данных!!
    Берете, и делаете дамп базы в Sypex dumper'e. Потом, на 45 строке изменяете:
    PHP:
    define('RESTORE_CHARSET''forced->utf8_general_ci');
    и восстанавливаете. База в УТФ-8.

    Обновляюсь с англ. версии форума! Какие таблицы в базе мне нужно оставить, а какие удалить? Чтобы не потерять все сообщения и темы?
    Нужно оставить следующие таблицы:

    Обновил форум, а у меня половина на русском текста, а половина - на английском. Чего делать надо?
    Заходите в админку. Далее внешний вид. Потом языки. И обновляете кеш русского языка. Все, форум полностью на русском.

    У меня возникли проблемы при установке!! (Белый экран, зависание, выпадают разные ошибки и так далее..)
    95% это ваша ошибка, а не ошибка скрипта.
    Посмотрите еще раз требования скрипта, все ли модули PHP необходимые для работы у вас включены? Посмотрите построчно, и сравните.
    Также взгляните на лимит памяти, как говорилось, должно стоять минимум 32 мегабайта. На крайний случай, узнайте какое стоит время на выполнение скрипта, если что правьте на 30 секунд.

    У меня при установке проскакивает ошибка, что-то типа "headers already send by..."
    Это не ошибка, а предупреждение. На установку и работу форума в дальнейшем повлиять не должно. Однако, были моменты, когда влияло на установку скрипта. В таком случае, попросите правильные файлы в теме где обсуждается этот нулл. Лучше прямиком на nulled.ws

    На 10 шаге установки вылазит ошибка связанная с кодировкой!
    Нужно перевести вашу БД в кодировку utf8_general_ci
    Для этого заходим в phpMyAdmin - Дальше в вашу БД - операции - Сравнение - выбираем utf8_general_ci - Ок. Потом заново ставим IPB

    У меня ошибка на 10 шаге установки(acphelp)!! Все модули стоят, права тоже, база в нужной кодировке, что делать?
    в файле \admin\setup\applications\install\sections\install .php находим функцию install_acphelp()
    и укорачиваем её до следующего вида
    PHP:
    public function install_acphelp() 
        { 
            
    //----------------------------------------- 
            // INIT 
            //----------------------------------------- 
            
    $previous $_REQUEST['previous']; 
            
    //----------------------------------------- 
            // Fetch next 'un 
            //----------------------------------------- 
            
    $next IPSSetUp::fetchNextApplication$previous'{app}_help.xml' ); 
            
    $extra_install $this->_setUpDBDriverFALSE ); 
            require_once( 
    IPS_KERNEL_PATH 'classXML.php' ); 
            
    $xml    = new classXMLIPSSetUp::charSet ); 
                
    //----------------------------------------- 
                // Next... 
                //----------------------------------------- 
                
    $output[] = "Все файлы помощи добавлены"
                
    $this->_finishStep$output"Установка: Система помощи"'install&do=other' ); 
        } 

    После установки форума, у меня показываются крякозябры!
    Начало:
    Убедитесь в том, что база у вас в УТФ-8, это для начала.
    Проблема в том, что выбирается не правильная кодировка для страниц. Проверьте в АЦ параметр Кодировка страниц форума (АЦ → Системные настройки → Настройки серверного окружения → Кодировка страниц форума) он должен содержать значение utf-8.

    Если так и стоит, ваши действия следующие:
    Вариант 1:
    Создаем или дописываем в .htaccess такое:
    AddDefaultCharset utf-8
    AddCharset utf-8 *
    <IfModule mod_charset.c>
    CharsetSourceEnc utf-8
    CharsetDefault utf-8
    </IfModule>

    Вариант 2:
    Ищем файл conf_global.php
    В нем:
    Код:
    $INFO['sql_charset']			=	'';
    Ставим:
    Код:
    $INFO['sql_charset']			=	'utf8';

    Вариант 3:
    Ставим локаль: ru_RU.UTF-8

    Вариант 4:
    Создаем или дописываем в .htaccess такое:
    php_value mbstring.http_input pass
    php_value mbstring.http_output pass
    php_value mbstring.encoding_translation 0
    php_value default_charset "UTF-8"
    php_value mbstring.internal_encoding UTF-8
    php_value mbstring.language Russian
    AddDefaultCharset UTF-8

    Везде поставил УТФ-8, установил правильно. База в утф-8, но все равно отображается форум крякозябрами!! Что делать?
    Возможно у вас в php.ini прописан defaultcharset 1251,
    попробуйте закомментировать эту строчку, или изменить на утф-8

    У меня показывается такая ошибка:
    SQL error: MySQL server has gone away

    Происходит из-за таймаута при обновлении форума.
    Почистите базу от емкой информации, которая не представляет интереса. Например историю заходов поисковых ботов.

    У меня не отправляются письма(phpMail())!! Хотя так phpMail() работает!
    Проблема была в версиях ниже 3.0.1 включительно! Обновите форум, и все будет хорошо.

    Как включить транслитерацию ЧПУ? Браузер не понимает урлы на кириллице..
    Файл initdata.php
    Если так - то ссылки англ транслит:
    define( 'IPB_USE_SEO_TRANSLIT', TRUE );
    define( 'IPB_USE_ONLY_ID_FURL', TRUE );
    Если так - то русский:
    define( 'IPB_USE_SEO_TRANSLIT', FALSE );
    define( 'IPB_USE_ONLY_ID_FURL', TRUE );

    Ребята! Как сделать нормальное ЧПУ! Помогите пожалуйста.
    Первое.
    В conf_global.php добавить $INFO['use_friendly_urls'] = '1';
    Второе.
    В .htaccess добавить:
    Код:
    <IfModule mod_rewrite.c>
    Options -MultiViews
    RewriteEngine On
    RewriteBase /
    RewriteCond %{REQUEST_FILENAME} !-f
    RewriteCond %{REQUEST_FILENAME} !-d
    RewriteCond %{REQUEST_URI} !\..+$
    RewriteRule . /index.php [L]
    </IfModule>
    После этого, будет такое:
    Вид главной
    http://вашфорум.ком/index
    Вид форумов
    http://вашфорум.ком/forum/9-название-вашего-форума/
    Вид темы
    http://вашфорум.ком/topic/417-название-вашей-темы/
    Если нужна транслитизация, смотрим ФАК выше, ответ есть.

    Обновился я к 3.х.х, но нельзя редактировать старые темы! Добавляешь одно слово в старую тему, нажимаешь сохранить и все бб коды не работают, ни выделения слов, ни ссылки, вообще ничего...
    Решение:
    Система -> Пересчет и обновление -> Перестроение контента [сообщений, календарей, личных сообщений, подписей и т.п]

    У меня пользователи сами себе поднимают рейтинг! Что делать? Помогите!!!
    АЦ > Система > Настройки и инструменты > Системные настройки > Пользователи > Настройки системы репутаций = Разрешить пользователям оценивать свои публикации? НЕТ

    Помогите сделать все ссылки в новом окне!!
    АЦ > Система > Настройки и инструменты > Системные настройки > Форумы > Темы, Сообщения и Опросы = Открывать внешние ссылки в новом окне? ДА

    Включил в админке чат, а оно показывает:
    [#1090] Чат не установлен.

    При этом, оно даже не врет:) Чат действительно не установлен:)
    Его необходимо покупать отдельно, вот так вот хотят запутать нас товарищи с IBS.
    Ставьте другой чат, здесь: http://www.nulled.ws/forumdisplay.php?f=66 вы найдете их несколько.

    Редакция №2 Большого FAQ от 9.10.2009
    Составлено Maybe для форума nulled.ws (раздела IPB)
    Если вы собрались тырить FAQ на другие ресурсы, оставьте ссылку на первоисточник - то есть сюда (http://www.nulled.ws/showthread.php?t=149568)!!
    Ну или хотябы ник мой не трите чтоле.
    :)

    Все замечания и корректировки принимаю в ПМ.
    Спасибо всем пользователям, исходя из ответов которых, было составлено данное FAQ.
     
    maxOn7, pikoolev, Ardis и 53 другим нравится это.
  2. Maybe

    Maybe

    Moderator
    Регистр.:
    7 июл 2008
    Сообщения:
    1.151
    Симпатии:
    1.194
    Обновил сегодня ФАК, добавил пару важных моментов. Enjoy =]
     
    maxOn7, Sergey-S и нарада нравится это.